#! /bin/bash

PREFIX="/home/poirrier"

progs="$PREFIX/src/lin-kd-tree/benchmark \
$PREFIX/ref/octree/libs/Delaunay/bench"
# $PREFIX/ref/octree/libs/Quadratic/bench \
# $PREFIX/ref/octree/libs/VSphere/bench


N_list="500000 1000000 5000000"
#N=100000
#while test $N -le 2000000; do
#	N_list="$N_list $N"
#	N=$(( $N + 100000 ))
#done

runs=4
iters="50 60"

out_file="benchmark.txt"
log_file="benchlog.txt"
raw_file="benchraw.txt"

echo "# \"timings.sh\" " >$out_file
echo "# \"runs:\" $runs \"iterations:\" $iters" >>$out_file
echo "# N $progs" >>$out_file

echo "___ timings.sh ___" >$log_file
echo -n >$raw_file


for N in $N_list; do
  echo -n " $N " >>$out_file
  for prog in $progs; do
	r=$( ./xrun.sh -x $runs -i $iters -c "13" -log $log_file \
		-raw $raw_file $prog -n $N )
	stats=$( ./stats.sh $r )
	echo -n "$stats " >>$out_file
  done
  echo >>$out_file
done

