/*
    This file is part of the lin-kd-tree library.
    Copyright (C) 2009  Laurent Poirrier

    The lin-kd-tree library is free software: you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public License as
    published by the Free Software Foundation, version 3 of the License.

    The lin-kd-tree library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
    General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __DEVICE_X_GLX_H
#define __DEVICE_X_GLX_H

typedef struct x_display_t x_display;
typedef struct x_window_t x_window;


/*
 * Open and close X display connection
 */
x_display *x_open_display(void);
void x_close_display(x_display *);

/*
 * Create and destroy opengl-enabled X window
 */
#define X_WINDOW_BYPASS_WM	1
x_window  *x_create_window(x_display *,
	int x, int y, int width, int height, int flags);
void x_destroy_window(x_window *);

void x_set_window_name(x_window *, char *name, char *icon_name);
void x_move_resize_window(x_window *, int x, int y, int w, int h);
void x_set_window_size_range(x_window *, int w1, int h1, int w2, int h2);
int  x_get_window_size(x_window *, int *width, int *height);

void x_swap_buffers(x_window *);
void x_sync(x_display *);
void x_flush(x_display *);


/*
 * Input event handling
 */
int  x_get_input(x_display *, int wait);

#endif
